# Ogre::KeyFrame Class Reference

A key frame in an animation sequence defined by an AnimationTrack. More...

`#include <OgreKeyFrame.h>`

List of all members.

## Public Member Functions

| KeyFrame (const AnimationTrack *parent, Real time)
| Default constructor, you should not call this but use AnimationTrack::createKeyFrame instead.
Real | getTime (void) const
| Gets the time of this keyframe in the animation sequence.
void | setTranslate (const Vector3 &trans)
| Sets the translation associated with this keyframe.
const Vector3 & | getTranslate (void) const
| Gets the translation applied by this keyframe.
void | setScale (const Vector3 &scale)
| Sets the scaling factor applied by this keyframe to the animable object at it's time index.
const Vector3 & | getScale (void) const
| Gets the scaling factor applied by this keyframe.
void | setRotation (const Quaternion &rot)
| Sets the rotation applied by this keyframe.
const Quaternion & | getRotation (void) const
| Gets the rotation applied by this keyframe.

## Protected Attributes

Real | mTime
Vector3 | mTranslate
Vector3 | mScale
Quaternion | mRotate
const AnimationTrack * | mParentTrack

## Detailed Description

A key frame in an animation sequence defined by an AnimationTrack.

Remarks:
  This class can be used as a basis for all kinds of key frames. The unifying principle is that multiple KeyFrames define an animation sequence, with the exact state of the animation being an interpolation between these key frames.

Definition at line 43 of file OgreKeyFrame.h.

## Constructor & Destructor Documentation

Ogre::KeyFrame::KeyFrame | ( | const AnimationTrack * | parent,
|  | Real | time
| ) |

| Default constructor, you should not call this but use AnimationTrack::createKeyFrame instead.

## Member Function Documentation

const Quaternion& Ogre::KeyFrame::getRotation | ( | void |  | ) | const

| Gets the rotation applied by this keyframe.

const Vector3& Ogre::KeyFrame::getScale | ( | void |  | ) | const

| Gets the scaling factor applied by this keyframe.

Real Ogre::KeyFrame::getTime | ( | void |  | ) | const

| Gets the time of this keyframe in the animation sequence.

const Vector3& Ogre::KeyFrame::getTranslate | ( | void |  | ) | const

| Gets the translation applied by this keyframe.

void Ogre::KeyFrame::setRotation | ( | const Quaternion & | rot | ) |

Sets the rotation applied by this keyframe.

Parameters:

  rot | The rotation applied; use Quaternion methods to convert from angle/axis or Matrix3 if you don't like using Quaternions directly.

void Ogre::KeyFrame::setScale | ( | const Vector3 & | scale | ) |

Sets the scaling factor applied by this keyframe to the animable object at it's time index.

Parameters:

  scale | The vector to scale by (beware of supplying zero values for any component of this vector, it will scale the object to zero dimensions)

void Ogre::KeyFrame::setTranslate | ( | const Vector3 & | trans | ) |

Sets the translation associated with this keyframe.

Remarks:
  The translation factor affects how much the keyframe translates (moves) it's animable object at it's time index.

Parameters:

  trans | The vector to translate by

## Member Data Documentation

const AnimationTrack* Ogre::KeyFrame::mParentTrack `[protected]`

| Definition at line 88 of file OgreKeyFrame.h.

Quaternion Ogre::KeyFrame::mRotate `[protected]`

| Definition at line 87 of file OgreKeyFrame.h.

Vector3 Ogre::KeyFrame::mScale `[protected]`

| Definition at line 86 of file OgreKeyFrame.h.

Real Ogre::KeyFrame::mTime `[protected]`

| Definition at line 84 of file OgreKeyFrame.h.

Vector3 Ogre::KeyFrame::mTranslate `[protected]`

| Definition at line 85 of file OgreKeyFrame.h.

The documentation for this class was generated from the following file:

- OgreKeyFrame.h

Copyright © 2000-2005 by The OGRE Team
Last modified Sun Nov 20 12:37:06 2005